summaryrefslogtreecommitdiffstats
path: root/scripts/pacman-optimize.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/pacman-optimize.sh.in')
-rw-r--r--scripts/pacman-optimize.sh.in5
1 files changed, 5 insertions, 0 deletions
diff --git a/scripts/pacman-optimize.sh.in b/scripts/pacman-optimize.sh.in
index 83c56a77..2d7fa9bf 100644
--- a/scripts/pacman-optimize.sh.in
+++ b/scripts/pacman-optimize.sh.in
@@ -86,6 +86,11 @@ if [ "$1" != "" ]; then
dbroot="$1"
fi
+# make sure diff is installed
+if ! type diff >/dev/null 2>&1; then
+ die "$(gettext "diff tool was not found, please install diffutils.")"
+fi
+
# make sure pacman isn't running
if [ -f "$lockfile" ]; then
die "$(gettext "Pacman lock file was found. Cannot run while pacman is running.")"